Bug 68382 - Mkbootdisk failed because initrd too big
Mkbootdisk failed because initrd too big
Product: Red Hat Public Beta
Classification: Retired
Component: anaconda (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
Depends On:
Blocks: 67218
  Show dependency treegraph
Reported: 2002-07-09 14:15 EDT by James Manning
Modified: 2007-04-18 12:44 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-02-26 13:04:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description James Manning 2002-07-09 14:15:30 EDT
not sure what happened, just noticed this on my vt5 during install:

grub> install /grub/stage1 d (hd0) /grub/stage2 p (hd0,2)/grub/grub.conf

gzip: stdout: No space left on device
Comment 1 Jeremy Katz 2002-07-09 15:36:58 EDT
Are any of your filesystems full?  If so, which?  Trying to think what uses gzip
that late
Comment 2 James Manning 2002-07-09 16:15:22 EDT
[root@localhost root]# df -h
Filesystem            Size  Used Avail Use% Mounted on
                      1.9G  1.5G  403M  79% /
/dev/hda3              99M  9.5M   84M  11% /boot
                      484M  8.1M  451M   2% /home
none                   58M     0   57M   0% /dev/shm

course, this is post-install - nothing looked "full" at the time, but I didn't
keep the df output from during-install :/

It semi-felt like it was related to bootdisk creation, but I could be on crack again
Comment 3 Jeremy Katz 2002-07-09 18:33:40 EDT
Ah, yeah, that would be it.  Dupe of another about LVM + boot disk not fitting
Comment 4 Jeremy Katz 2002-08-22 01:39:29 EDT
We tell you if the boot disk isn't going to fit now, although we can't do much
more for a variety of different reasons.  Better fix coming to a future release
Comment 5 Jeremy Katz 2003-02-26 13:04:20 EST
We nicely tell you now and have some other tweaks to make this at least somewhat
better with rawhide

Note You need to log in before you can comment on or make changes to this bug.